package com.sun.appserver.tests.ha.sfsb.sfbtc110;
import javax.ejb.Stateful;
import javax.ejb.EJB;
import javax.ejb.EJBs;
import javax.ejb.Remove;
import javax.ejb.EJBException;
import javax.ejb.SessionContext;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionAttribute;

import javax.naming.InitialContext;

import javax.annotation.Resource;
import javax.transaction.UserTransaction;


@Stateful
@TransactionManagement(TransactionManagementType.CONTAINER)
public class StatefulEomBean implements StatefulEom {
    private @Resource SessionContext context;

    private int total1;
    private int total2;
    private int total3;
    String create; 
   
     /* See section 7.10.3 of the EJB 2.0 specification
     */
@TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public void ejbCreate(String create) {
       System.out.println(" **** in ejbCreate() **** ");
       this.create = create;
    }


   /**
     * test method
     */
	    @TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public void setItems1(int totalp1) {
        System.out.println("### in setItems1() of StatefulEomBean ###");
        total1 = totalp1;
        
    }

    /**
     * test method
     */
@TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public void setItems1(int totalp2, int totalp3) {
        System.out.println("### in setItems2() of StatefulEomBean ###");
        total2 = totalp2;
        total3 = totalp3;

    }

   
    /**
     * test method
     */
@TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public int getItems1() {
        System.out.println("### in getItems1() of StatefulEomBean ###");
        return total1;
       
    }

    /**
     * test method
     */
@TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public int getItems2() {
        System.out.println("### in getItems2() of StatefulEomBean ###");
        return total2;
      
    }

    /**
     * test method
     */
@TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public int getItems3() {
        System.out.println("### in getItems3() of StatefulEomBean ###");
        return total3;
     
    }


    
}
